library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity test is
    Port ( clk : in std_logic;
           test : out std_logic);
end test;

architecture Behavioral of test is

signal cnt : std_logic_vector(23 downto 0);

begin

process(clk)
begin
  if rising_edge(clk) then
    cnt <= cnt+1;
  end if;
end process;

test <= cnt(23);

end Behavioral;
