vlib work
vcom -93 -explicit  pwm_27.vhd
vcom -93 -explicit  pwm_27_tb.vhd
vsim -t 1ns -lib work pwm_27_tb

restart -force -nowave
add wave sim:/pwm_27_tb/clk
add wave -hex sim:/pwm_27_tb/pwm
add wave -hex sim:/pwm_27_tb/digits
add wave -unsigned sim:/pwm_27_tb/pwm_adr
add wave -unsigned sim:/pwm_27_tb/dec_data
add wave -unsigned sim:/pwm_27_tb/uut/pwm_cnt
add wave -unsigned sim:/pwm_27_tb/uut/pwm_val
add wave sim:/pwm_27_tb/uut/state
add wave -unsigned sim:/pwm_27_tb/uut/pwm_sel
add wave -hex sim:/pwm_27_tb/uut/dig_sel
add wave -unsigned sim:/pwm_27_tb/uut/chan_cnt
add wave -unsigned sim:/pwm_27_tb/uut/loop_cnt
add wave sim:/pwm_27_tb/uut/run

force -deposit sim:/pwm_27_tb/uut/pwm 000000000000000000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(26) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(25) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(24) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(23) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(22) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(21) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(20) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(19) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(18) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(17) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(16) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(15) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(14) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(13) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(12) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(11) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(10) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(9) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(8) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(7) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(6) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(5) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(4) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(3) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(2) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(1) 0000000000000 0
force -deposit sim:/pwm_27_tb/uut/pwm_val(0) 0000000000000 0



run 2ms
