vlib work
vcom -93 -explicit  sim_pkg.vhd
vcom -93 -explicit  data_receiver.vhd
vcom -93 -explicit  rec_tb.vhd
vsim -t 1ns   -lib work rec_tb

restart -force -nowave
view wave
view signals
view structure

add wave sim:/rec_tb/uut/clk
add wave sim:/rec_tb/uut/rx_data
add wave -unsigned sim:/rec_tb/uut/pwm_data
add wave -unsigned sim:/rec_tb/uut/pwm_adr
add wave sim:/rec_tb/uut/page
add wave sim:/rec_tb/uut/trigger
add wave sim:/rec_tb/uut/we
add wave sim:/rec_tb/uut/chn_sel
add wave sim:/rec_tb/uut/rx_smp
add wave sim:/rec_tb/uut/shift
add wave -unsigned sim:/rec_tb/uut/smp_cnt
add wave -unsigned sim:/rec_tb/uut/bit_cnt
add wave sim:/rec_tb/uut/state
add wave -unsigned sim:/rec_tb/uut/dmx_cnt
add wave sim:/rec_tb/uut/adr_cnt_ce
add wave -unsigned sim:/rec_tb/uut/adr_cnt
add wave sim:/rec_tb/uut/rx_filt
add wave sim:/rec_tb/uut/page_int
add wave sim:/rec_tb/uut/ce

force -deposit sim:/rec_tb/uut/adr_cnt 00000000 0
force -deposit sim:/rec_tb/uut/page_int 0 0
force -deposit sim:/rec_tb/uut/ce 0 0
force -deposit sim:/rec_tb/uut/smp_cnt 0000 0
force -deposit sim:/rec_tb/uut/dmx_cnt 0000000000 0

run 100ms
